# OpenML dataset: burst-header-packet

https://www.openml.org/d/42898

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: Adel Rajab
**Source**: [UCI](https://archive.ics.uci.edu/ml/datasets/Burst+Header+Packet+(BHP)+flooding+attack+on+Optical+Burst+Switching+(OBS)+Network) - 2017
**Please cite**: [UCI](https://archive.ics.uci.edu/ml/citation_policy.html)

**Burst Header Packet (BHP) flooding attack on Optical Burst Switching (OBS) Network dataset**
One of the primary challenges in identifying the risks of the Burst Header Packet (BHP) flood attacks in Optical Burst Switching networks (OBS) is the scarcity of reliable historical data.

### Attribute Information:

1. Node: This is the number of the sending node (numeric).
2. Utilized Bandwidth Rate: This is the normalization of Used_Bandwidth (numeric).
3. Packet Drop Rate: This is the normalization of Percentage_Of_Lost_Packet_Rate (numeric).
4. Reserved_Bandwidth: Initial reserved Bandwidth assigned (given) to each node, the user (usr) in the experiments assign these values. (numeric).
5. Average_Delay_Time_Per_Sec: Average Delay Time (per second) for each node. This is (End-to End Delay). (numeric).
6. Percentage_Of_Lost_Packet_Rate: Percentage of Packets Drop Rate for each node (numeric).
7. Percentage_Of_Lost_Byte_Rate: Percentage of Lost Byte Rate for each node (numeric).
8. Packet Received Rate: Total received packets (per second) for each node based on Reserved_Bandwidth (numeric).
9. Used_Bandwidth: This is what each node could reserve from the Reserved_Bandwidth (numeric).
10. Lost_Bandwidth: The amount of lost Bandwidth by each node from Reserved_Bandwidth (numeric).
11. Packet Size_Byte: Packets size in Byte assigned specifically for each node to transmit. Note: 60 Byte will be added to the 1440 for the IP Header and the UDP Header ((Data size 1440 Byte) + (IP Header 40 Byte) + (UDP Header 20 Byte)) =1500 Byte (numeric).
12. Packet_Transmitted: Total transmitted packets (per second) for each node based on the Reserved_Bandwidth (numeric).
13. Packet_Received: Total received packets (per second) for each node based on the Reserved_Bandwidth  (numeric).
14. Packet_lost: Total lost packets (per second) for each node, which based on the Lost_Bandwidth (numeric).
15. Transmitted_Byte: Total transmitted Byte (per second) for each node (numeric).
16. Received_Byte: Total received Byte (per second) for each node based on the Reserved_Bandwidth (numeric).
17. 10-Run-AVG-Drop-Rate: Average packet drop rate for 10 consecutive (run) iterations (numeric).
18. 10-Run-AVG-Bandwidth-Use: Average Bandwidth utilized for 10 consecutive (run) iterations (numeric).
19. 10-Run-Delay: Average delay time for 10 consecutive (run) iterations (numeric).
20. Node Status {B, NB, P NB}: initial classification of nodes based on Packet Drop Rate, Used_Bandwidth and Average_Delay_Time_Per_Sec. B = Behaving, NB = Not Behaving and P NB = Potentially Not Behaving. (Categorical)
21. Flood Status: Percentage of flood per node based on Packet Drop Rate Medium and high level of BHP flood attack in case B (numeric).
22. Class '{NB-No Block, Block, No Block, NB-Wait}: The final classification of nodes based on Packet Drop Rate, Reserved_Bandwidth, Iteration #, Used_Bandwidth Packet Drop Rate This is for case B (Categorical ).

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/42898) of an [OpenML dataset](https://www.openml.org/d/42898). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/42898/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/42898/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/42898/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

